# TuPac (Italiano)

Tupac (pacman turbo) è un motore di ricerca potenziato del database di pacman. Il vantaggio della velocità si ottiene mettendo in cache il database di pacman.

Attività come controllare l'integrità di un'intera installazione o la ricerca di pacchetti orfani in directory di grandi dimensioni (come /usr), vengono eseguite in pochi secondi.

Tupac non è un wrapper di pacman. Il suo codice è correlato a pacman solo nelle ricerche, per tutti gli altri compiti si appoggia a yaourt.

## Caratteristiche Chiave

- Ricerche su AUR
- Permette di rifinire le ricerche tramite ricerche AND piuttosto che OR (cerca pacchetti che contengono tutte le parole di ricerca)
- Aggiornamento automatico della cache (nessun intervento richiesto dall'utente).
- Operazioni sui file molto veloci (trovare owners, file mancanti, ecc)

## Argomenti per riga di comando

    tupac: A cached pacman implementatioin. Version: 0.3.5

     Usage:
      tupac [word] [word] [word] ...     : Search for and install packages that match all [word]
      tupac -Ss [word] [word] [word] ... : Search for packages that match all [word]
      tupac -Qo [file] [file] [file] ... : Search for each [file] owner
      tupac --checkdir [directory]       : Check integrity of a directory.
      tupac --orphans [directory]        : Find files that are not part of any package
      tupac                              : Manual call to update cache
      tupac [anything else]              : bypass to yaourt
      tupac --set-proxy [host:port|none] : set up a proxy

     Modifiers:
      --safe                             : Only search for safe packages
      --noaur                            : Don't search in AUR
      --noprompt                         : Don't prompt anything
      --color [darkbg|lightbg|nocolor]   : Choose color scheme
      --repos repo1,repo2,repo3,...      : Set active repositories

## Cosa bisogna sapere

Tupac non analizza `/etc/pacman.conf`. Funziona esclusivamente con le informazioni disponibili nel database di Pacman (`/var/lib/pacman`), così se si cancellerà un repo da `pacman.conf` sarà presente ancora in tupac, finchè non si cancellerà la directory dello stesso ( #pacman -Scc )

## Installazione

tupac è disponibile da AUR.

## Progettazione

Tupac è scritto in php perchè:

- la funzione serialize fa diventare il caching istantaneo
- molto più semplice del bash permettendo di concentrasi sul miglioramento di prestazioni.

## Storia

L'idea iniziale era di migliorare qualche operazione di yaourt. Tupac voleva essere una riscrittura di pajman, un programma scritto in bash che aveva sempre l'obbiettivo di migliorare la velocità di ricerca. Dal php è arrivata l'idea di creare velocemente la cache. Dopo aver implementato le operazioni file (controlli pacchetti orfani, owners, integrità), ed entusiasti degli ottimi risultati si decise di chimare il pacchetto tu(rbo)pac(man).

ps di wolfanger Sarà inoltre una citazione del famoso rapper ?

## Segui gli aggiornamenti

Controlla su: https://bbs.archlinux.org/viewtopic.php?id=38560

Category:

- Package management (Italiano)